Editor Criteri di gruppo locali

Editor Criteri di gruppo locali

Editor Criteri di gruppo locali è uno snap-in di Microsoft Management Console (MMC) che rende disponibile una singola interfaccia utente attraverso la quale è possibile gestire tutte le impostazioni degli oggetti Criteri di gruppo locali.

In questa sezione vengono descritti gli argomenti seguenti:

  • Aprire l'Editor Criteri di gruppo locali

  • Impostazioni dei criteri di Modelli amministrativi

  • Utilizzare script di avvio, arresto, accesso e disconnessione

  • Modificare un oggetto Criteri di gruppo locale

  • Modificare più oggetti Criteri di gruppo locali

  • Disattivare le impostazioni dell'utente o del computer in un oggetto Criteri di gruppo locale

  • Eliminare più oggetti Criteri di gruppo locali

  • Risorse per Criteri di gruppo

Nota

L'Editor Criteri di gruppo locali e lo snap-in Gruppo di criteri risultante sono disponibili in Windows Server 2008 R2 e in alcune versioni di Windows 7. Per ulteriori informazioni, visitare il sito Web all'indirizzo http://go.microsoft.com/fwlink/?LinkId=139815.


Aprire l'Editor Criteri di gruppo locali

Per aprire l'Editor Criteri di gruppo locali è possibile utilizzare la riga di comando oppure Microsoft Management Console (MMC).

Aprire l'Editor Criteri di gruppo locali dalla riga di comando

  • Fare clic sul pulsante Start, digitare gpedit.msc nella casella di testo Inizia ricerca e quindi premere INVIO.
Per aprire Editor Criteri di gruppo locali come snap-in di MMC

  1. Aprire MMC. A tale scopo, fare clic sul pulsante Start, fare clic sulla casella Inizia ricerca, digitare mmc e quindi premere INVIO.

  2. Scegliere Aggiungi/Rimuovi snap-in dal menu File.

  3. Nella finestra di dialogo Aggiungi o rimuovi snap-in fare clic su Editor oggetti Criteri di gruppo e quindi su Aggiungi.

  4. Nella finestra di dialogo Selezione oggetto Criteri di gruppo fare clic su Sfoglia.

  5. Fare clic su Questo computer per modificare l'oggetto Criteri di gruppo locali oppure su Utenti per modificare gli oggetti Criteri di gruppo locali amministratori, non amministratori o per utente.

  6. Fare clic su Fine.
Nota

Se si desidera salvare una console di Editor Criteri di gruppo locali e scegliere l'oggetto Criteri di gruppo aperto dalla riga di comando, selezionare la casella di controllo Consenti modifica dell'elemento attivo dello snap-in Criteri di gruppo se avviato da riga di comando nella finestra di dialogo Selezione oggetto Criteri di gruppo.
Ulteriori considerazioni
  • L'Editor Criteri di gruppo locali e lo snap-in Gruppo di criteri risultante sono disponibili in Windows Server 2008 R2 e in alcune versioni di Windows 7. Per ulteriori informazioni, visitare il sito Web all'indirizzo http://go.microsoft.com/fwlink/?LinkId=139815.


Impostazioni dei criteri di Modelli amministrativi

I modelli amministrativi sono impostazioni dei criteri basati sui registri visualizzati nell'Editor Criteri di gruppo locali nel nodo Modelli Amministrativi relativo al nodo Computer e al nodo Configurazione utente. Questa gerarchia viene creata quando l'Editor Criteri di gruppo locali legge i file dei modelli amministrativi basati su XML (con estensione admx).

In questa sezione vengono descritti gli argomenti seguenti:

  • Modificare le impostazioni dei criteri di Modelli amministrativi

  • Filtrare la visualizzazione dei modelli amministrativi

  • Aggiungere commenti alle impostazioni dei criteri di Modelli amministrativi

  • Aggiungere o rimuovere modelli amministrativi classici

Ulteriori considerazioni

  • Per ulteriori informazioni sulla modifica dei modelli amministrativi, visitare http://go.microsoft.com/fwlink/?LinkID=66002.


Modificare le impostazioni dei criteri di Modelli amministrativi

Per modificare le impostazioni dei criteri dei modelli amministrativi

  1. Utilizzando l'Editor Criteri di gruppo locali, aprire l'oggetto Criteri di gruppo locale che si desidera modificare.

  2. Nell'albero della console fare clic sulla cartella in Modelli amministrativi contenente le impostazioni dei criteri che si desidera configurare.

  3. Nella colonna Impostazione fare clic sul nome di un'impostazione dei criteri per visualizzare la relativa descrizione.

  4. Per modificare lo stato corrente dell'impostazione del criterio, fare doppio clic sul relativo nome.

  5. Nella finestra di dialogo delle impostazioni del criterio fare clic su una delle opzioni seguenti:

    • Non configurata: il Registro di sistema non verrà modificato.

    • Attivata: nel Registro di sistema verrà indicato che l'impostazione dei criteri è selezionata.

    • Disattivata: nel Registro di sistema verrà indicato che l'impostazione dei criteri non è selezionata.

  6. Selezionare tutte le altre opzioni desiderate e quindi fare clic su OK.

Ulteriori considerazioni

  • Per completare la procedura è necessario avere autorizzazioni di modifica per modificare un oggetto Criteri di gruppo. Per impostazione predefinita, i membri dei gruppi di sicurezza Domain Admins, Amministratori dell'organizzazione o Proprietari autori criteri di gruppo hanno autorizzazioni di modifica per modificare un oggetto Criteri di gruppo.

  • In Editor Criteri di gruppo locali sono disponibili due elementi derivati di Modelli amministrativi. Le impostazioni per HKEY_LOCAL_MACHINE si trovano in Configurazione computer, mentre le impostazioni per HKEY_CURRENT_USER si trovano in Configurazione utente.

  • In caso di conflitti, in genere i criteri del computer hanno priorità rispetto a quelli dell'utente. Se gli autori delle applicazioni ignorano questa convenzione, tuttavia, gli oggetti Criteri di gruppo non potranno applicarla.

  • Le impostazioni dei criteri dei modelli amministrativi sono anche note come impostazioni dei criteri basate sul Registro di sistema.

  • L'Editor Criteri di gruppo locali e lo snap-in Gruppo di criteri risultante sono disponibili in Windows Server 2008 R2 e in alcune versioni di Windows 7. Per ulteriori informazioni, visitare il sito Web all'indirizzo http://go.microsoft.com/fwlink/?LinkId=139815.

Ulteriori riferimenti

  • Impostazioni dei criteri di Modelli amministrativi


Filtrare la visualizzazione dei modelli amministrativi

Editor Criteri di gruppo locali consente di filtrare le impostazioni dei criteri di Modelli amministrativi in base a quanto descritto di seguito:

  • Impostazioni dei criteri Gestite, Configurate o Con commenti.

  • Parole chiave all'interno di titolo, testo della Guida o commento delle impostazioni dei criteri.

  • Requisiti delle impostazioni dei criteri per la piattaforma o l'applicazione.

Applicare filtri alle impostazioni dei criteri di Modelli amministrativi quando si desidera individuare una specifica impostazione dei criteri, oppure si desidera limitare il numero di impostazioni dei criteri visualizzate in Editor Criteri di gruppo locali.

In questa sezione vengono descritti gli argomenti seguenti:

  • Applicare filtri in base alle proprietà

  • Applicare filtri in base a parole chiave

  • Applicare filtri in base ai requisiti

Ulteriori considerazioni

  • L'Editor Criteri di gruppo locali e lo snap-in Gruppo di criteri risultante sono disponibili in Windows Server 2008 R2 e in alcune versioni di Windows 7. Per ulteriori informazioni, visitare il sito Web all'indirizzo http://go.microsoft.com/fwlink/?LinkId=139815.

Ulteriori riferimenti

  • Impostazioni dei criteri di Modelli amministrativi


Applicare filtri in base alle proprietà

Editor Criteri di gruppo locali consente di modificare i criteri per la visualizzazione delle impostazioni dei criteri di Modelli amministrativi. Per impostazione predefinita, nell'editor vengono visualizzate tutte le impostazioni dei criteri, comprese quelle non gestite. È tuttavia possibile modificare le modalità di visualizzazione delle impostazioni dei criteri di Modelli amministrativi in Editor Criteri di gruppo locali mediante l'utilizzo di filtri in base alle proprietà.

Per filtrare i modelli amministrativi sono disponibili tre filtri inclusivi in base alle proprietà. Tali filtri sono i seguenti:

  • Gestite

  • Configurate

  • Con commenti

Gestite

Le impostazioni dei criteri di Modelli amministrativi possono essere di due tipi: Gestite e Non gestite. Il servizio Client di Criteri di gruppo governa le impostazioni dei criteri gestite e consente di rimuovere un'impostazione quando questa non si trova più nell'ambito dell'utente o del computer.

Il servizio Client di Criteri di gruppo non governa le impostazioni dei criteri non gestite, che sono persistenti e che non vengono rimosse da Client di Criteri di gruppo anche se non si trovano nell'ambito dell'utente o del computer. Le impostazioni dei criteri di questo tipo vengono in genere utilizzate per configurare le opzioni per componenti del sistema operativo non abilitati per l'utilizzo di criteri. È inoltre possibile utilizzare le impostazioni dei criteri non gestite per le impostazioni relative alle applicazioni.

Il filtro in base alle proprietà Gestite dispone di tre stati: Qualsiasi, Sì e No. Impostando questo filtro su Qualsiasi, in Editor Criteri di gruppo locali vengono visualizzate tutte le impostazioni dei criteri di Modelli amministrativi. Impostandolo su Sì, nell'editor vengono visualizzate solo le impostazioni dei criteri di Modelli amministrativi gestite e vengono nascoste tutte quelle non gestite. Impostandolo su No, nell'editor vengono visualizzate solo le impostazioni dei criteri di Modelli amministrativi non gestite e vengono nascoste tutte quelle gestite.

Per impostare il filtro in base alle proprietà Gestite in Modelli amministrativi

  1. Aprire Editor Criteri di gruppo locali.

  2. Fare clic con il pulsante destro del mouse su Modelli amministrativi in Configurazione computer\Criteri computer o Configurazione utente\Criteri utente. Fare clic su Opzioni filtro.

  3. Nell'elenco Gestite fare clic sul filtro appropriato.

  4. Fare clic su OK per applicare le nuove impostazioni del filtro e chiudere la finestra di dialogo Opzioni filtro.

Configurate

È possibile configurare le impostazioni dei criteri di Modelli amministrativi su tre stati: Non configurata, Attivata e Disattivata. Non configurata è lo stato predefinito di tutte le impostazioni dei criteri. Le impostazioni dei criteri impostate su Non configurata non hanno effetto su utenti o computer. Attivando un'impostazione dei criteri di Modelli amministrativi, l'impostazione viene abilitata. Se è Attivata, all'utente o al computer viene applicata l'azione descritta nel titolo dell'impostazione del criterio. Se è Disattivata, all'utente o al computer viene applicata l'azione opposta a quella descritta nel titolo dell'impostazione del criterio. In genere le impostazioni dei criteri con stato Non configurata e Disattivata producono gli stessi risultati. La differenza sta nel fatto che le impostazioni dei criteri con stato Non configurata non vengono applicate all'utente, mentre quelle con stato Disattivata sì.

Per tutte le impostazioni dei criteri di Modelli amministrativi sono disponibili informazioni dettagliate relative agli stati Attivata, Disattivata e Non configurata. È possibile visualizzare tali informazioni nella scheda Guida di tutte le impostazioni dei criteri dei Modelli amministrativi. In alternativa, è possibile visualizzare queste informazioni per l'impostazione dei criteri selezionata nella visualizzazione estesa dell'editor.

Il filtro in base alle proprietà Configurate dispone di tre stati: Qualsiasi, Sì e No. Impostando questo filtro su Qualsiasi, in Editor Criteri di gruppo locali vengono visualizzate tutte le impostazioni dei criteri dei Modelli amministrativi. Si tratta dell'impostazione predefinita del filtro. Impostandolo su Sì, nell'editor vengono visualizzate solo le impostazioni dei criteri di Modelli amministrativi configurate e vengono nascoste tutte quelle non configurate. Impostandolo su No, nell'editor vengono visualizzate solo le impostazioni dei criteri di Modelli amministrativi non configurate e vengono nascoste tutte quelle configurate.

Per impostare il filtro in base alle proprietà Configurate in Modelli amministrativi

  1. Aprire Editor Criteri di gruppo locali.

  2. Fare clic con il pulsante destro del mouse su Modelli amministrativi in Configurazione computer\Criteri computer o Configurazione utente\Criteri utente. Fare clic su Opzioni filtro.

  3. Nell'elenco Configurate fare clic sul filtro appropriato.

  4. Fare clic su OK per applicare le nuove impostazioni del filtro e chiudere la finestra di dialogo Opzioni filtro.

Con commenti

Tutte le impostazioni dei criteri di Modelli amministrativi dispongono di una proprietà di commento. La proprietà Con commenti consente l'inserimento di testo associato a un'impostazione dei criteri specifica.

Il filtro in base alle proprietà Con commenti dispone di tre stati: Qualsiasi, Sì e No. Impostando questo filtro su Qualsiasi, in Editor Criteri di gruppo locali vengono visualizzate tutte le impostazioni dei criteri dei Modelli amministrativi. Si tratta dell'impostazione predefinita del filtro. Impostandolo su Sì, nell'editor vengono visualizzate solo le impostazioni dei criteri di Modelli amministrativi con commenti e vengono nascoste tutte quelle senza commenti. Impostandolo su No, nell'editor vengono visualizzate solo le impostazioni dei criteri di Modelli amministrativi senza commenti e vengono nascoste tutte quelle con commenti.

Per impostare il filtro in base alle proprietà Con commenti in Modelli amministrativi

  1. Aprire Editor Criteri di gruppo locali.

  2. Fare clic con il pulsante destro del mouse su Modelli amministrativi in Configurazione computer\Criteri computer o Configurazione utente\Criteri utente. Fare clic su Opzioni filtro.

  3. Nell'elenco Con commenti fare clic sul filtro appropriato.

  4. Fare clic su OK per applicare le nuove impostazioni del filtro e chiudere la finestra di dialogo Opzioni filtro.

Ulteriori considerazioni

  • Per completare la procedura è necessario avere autorizzazioni di modifica per modificare un oggetto Criteri di gruppo. Per impostazione predefinita, i membri dei gruppi di sicurezza Domain Admins, Amministratori dell'organizzazione o Proprietari autori criteri di gruppo hanno autorizzazioni di modifica per modificare un oggetto Criteri di gruppo.

  • Poiché i filtri sono inclusivi, selezionare gli elementi che si desidera visualizzare invece degli elementi che si desidera rimuovere.

  • I filtri non funzionano con i modelli amministrativi classici.

  • L'Editor Criteri di gruppo locali e lo snap-in Gruppo di criteri risultante sono disponibili in Windows Server 2008 R2 e in alcune versioni di Windows 7. Per ulteriori informazioni, visitare il sito Web all'indirizzo http://go.microsoft.com/fwlink/?LinkId=139815.

Ulteriori riferimenti

  • Filtrare la visualizzazione dei modelli amministrativi


Applicare filtri in base a parole chiave

Editor Criteri di gruppo locali consente di modificare i criteri per la visualizzazione delle impostazioni dei criteri di Modelli amministrativi. Per impostazione predefinita, nell'editor vengono visualizzate tutte le impostazioni dei criteri. È tuttavia possibile modificare le modalità di visualizzazione delle impostazioni dei criteri di Modelli amministrativi in Editor Criteri di gruppo locali mediante l'utilizzo di filtri in base a parole chiave.

Per impostare il filtro in base a parole chiave dei modelli amministrativi

  1. Aprire Editor Criteri di gruppo locali.

  2. Fare clic con il pulsante destro del mouse su Modelli amministrativi in Configurazione computer o Configurazione utente. Fare clic su Opzioni filtro.

  3. Selezionare la casella di controllo Abilita filtri in base a parole chiave.

  4. Digitare una o più parole chiave nella casella Filtra in base alla/e parola/e e quindi fare clic sul filtro appropriato:

    • Qualsiasi parola: il filtro include qualsiasi parola digitata nella casella Filtra in base alla/e parola/e.

    • Tutte le parole: il filtro include tutte le parole digitate nella casella Filtra in base alla/e parola/e.

    • Corrispondenza esatta: il filtro include le corrispondenze esatte delle parole digitate nella casella Filtra in base alla/e parola/e.

  5. Selezionare le caselle di controllo appropriate accanto a Incluso in.

    • Titolo impostazione criterio: il filtro include la ricerca nel titolo dell'impostazione del criterio.

    • Testo di istruzioni: il filtro include la ricerca nel testo della Guida dell'impostazione del criterio.

    • Commento: il filtro include la ricerca nel commento dell'impostazione del criterio.

  6. Fare clic su OK per applicare le nuove impostazioni del filtro e chiudere la finestra di dialogo Opzioni filtro.

Ulteriori considerazioni

  • Per completare la procedura è necessario avere autorizzazioni di modifica per modificare un oggetto Criteri di gruppo. Per impostazione predefinita, i membri dei gruppi di sicurezza Domain Admins, Amministratori dell'organizzazione o Proprietari autori criteri di gruppo hanno autorizzazioni di modifica per modificare un oggetto Criteri di gruppo.

  • Poiché i filtri sono inclusivi, selezionare gli elementi che si desidera visualizzare invece degli elementi che si desidera rimuovere.

  • I filtri non funzionano con i modelli amministrativi classici.

  • L'Editor Criteri di gruppo locali e lo snap-in Gruppo di criteri risultante sono disponibili in Windows Server 2008 R2 e in alcune versioni di Windows 7. Per ulteriori informazioni, visitare il sito Web all'indirizzo http://go.microsoft.com/fwlink/?LinkId=139815.

Ulteriori riferimenti

  • Filtrare la visualizzazione dei modelli amministrativi


Applicare filtri in base ai requisiti

Editor Criteri di gruppo locali consente di modificare i criteri per la visualizzazione delle impostazioni dei criteri di Modelli amministrativi. Per impostazione predefinita, nell'editor vengono visualizzate tutte le impostazioni dei criteri. È tuttavia possibile modificare le modalità di visualizzazione delle impostazioni dei criteri di Modelli amministrativi in Editor Criteri di gruppo locali mediante l'utilizzo di filtri in base ai requisiti.

Per impostare il filtro in base ai requisiti dei modelli amministrativi

  1. Aprire Editor Criteri di gruppo locali.

  2. Fare clic con il pulsante destro del mouse su Modelli amministrativi in Configurazione computer o Configurazione utente. Fare clic su Opzioni filtro.

  3. Selezionare la casella di controllo Abilita filtri in base ai requisiti.

  4. Digitare una o più parole chiave nella casella Filtra in base alla/e parola/e.

  5. Nell'elenco Selezionare il filtro o i filtri desiderati per la piattaforma e l'applicazione fare clic sul filtro appropriato:

    • Includi impostazioni che corrispondono a una qualsiasi delle piattaforme selezionate.

    • Includi impostazioni che corrispondono a tutte le piattaforme selezionate.

      Nota

      È possibile fare clic su Seleziona tutto per selezionare tutte le voci dell'elenco, oppure su Deseleziona tutto per deselezionarle.

  6. Fare clic su OK per applicare le nuove impostazioni del filtro e chiudere la finestra di dialogo Opzioni filtro.

Ulteriori considerazioni

  • Per completare la procedura è necessario avere autorizzazioni di modifica per modificare un oggetto Criteri di gruppo. Per impostazione predefinita, i membri dei gruppi di sicurezza Domain Admins, Amministratori dell'organizzazione o Proprietari autori criteri di gruppo hanno autorizzazioni di modifica per modificare un oggetto Criteri di gruppo.

  • Poiché i filtri sono inclusivi, selezionare gli elementi che si desidera visualizzare invece degli elementi che si desidera rimuovere.

  • I filtri non funzionano con i modelli amministrativi classici.

  • L'Editor Criteri di gruppo locali e lo snap-in Gruppo di criteri risultante sono disponibili in Windows Server 2008 R2 e in alcune versioni di Windows 7. Per ulteriori informazioni, visitare il sito Web all'indirizzo http://go.microsoft.com/fwlink/?LinkId=139815.

Ulteriori riferimenti

  • Filtrare la visualizzazione dei modelli amministrativi


Aggiungere commenti alle impostazioni dei criteri di Modelli amministrativi

È possibile includere commenti in tutte le impostazioni dei criteri di Modelli amministrativi. Questo spazio può essere utilizzato per documentare ulteriormente l'impostazione dei criteri e il motivo per cui la relativa implementazione è importante per l'ambiente di utilizzo. L'aggiunta di commenti consente di utilizzare filtri in base a parole chiave per trovare rapidamente le impostazioni dei criteri corrispondenti alle parole chiave.

Per aggiungere commenti a un'impostazione dei criteri di Modelli amministrativi

  1. Aprire Editor Criteri di gruppo locali.

  2. Nell'albero della console fare clic sulla cartella in Modelli amministrativi contenente l'impostazione dei criteri che si desidera configurare.

  3. Nella colonna Impostazione fare doppio clic sul nome dell'impostazione dei criteri.

  4. Digitare i commenti nella casella Commento.

  5. Fare clic su OK.

Ulteriori considerazioni

  • Per completare la procedura è necessario avere autorizzazioni di modifica per modificare un oggetto Criteri di gruppo. Per impostazione predefinita, i membri dei gruppi di sicurezza Domain Admins, Amministratori dell'organizzazione o Proprietari autori criteri di gruppo hanno autorizzazioni di modifica per modificare un oggetto Criteri di gruppo.

  • L'Editor Criteri di gruppo locali e lo snap-in Gruppo di criteri risultante sono disponibili in Windows Server 2008 R2 e in alcune versioni di Windows 7. Per ulteriori informazioni, visitare il sito Web all'indirizzo http://go.microsoft.com/fwlink/?LinkId=139815.

Ulteriori riferimenti

  • Impostazioni dei criteri di Modelli amministrativi


Aggiungere o rimuovere modelli amministrativi classici

I file dei modelli amministrativi classici (noti anche come file ADM) non vengono creati utilizzando un formato XML. Nelle versioni precedenti dell'Editor Criteri di gruppo locali queste impostazioni sono visualizzate nel nodo Administrative Templates.

La versione corrente dei file dei modelli amministrativi viene creata in XML (noti anche come file ADMX). Nell'Editor Criteri di gruppo locali queste impostazioni sono visualizzate nel nodo Administrative Templates. L'Editor Criteri di gruppo locali riconosce ancora i file ADM e consente di visualizzare queste impostazioni nel nodo Classic Administrative Templates, che è un nodo figlio di Administrative Templates.

Per aggiungere o rimuovere un file del modello amministrativo (file con estensione adm)

  1. Utilizzando l'Editor Criteri di gruppo locali, aprire l'oggetto Criteri di gruppo locali che si desidera modificare.

  2. Nell'albero della console, in Configurazione computer o Configurazione utente, fare clic con il pulsante destro del mouse su Modelli amministrativi.

  3. Scegliere Aggiunta/Rimozione modelli.

  4. Eseguire una delle operazioni seguenti:

    • Per aggiungere un modello, fare clic su Aggiungi. Nella finestra di dialogo Modelli criteri fare clic sul modello che si desidera aggiungere e quindi su Apri.

    • Per rimuovere un modello, nell'elenco Modelli criteri correnti fare clic sul modello desiderato e quindi su Rimuovi.

Ulteriori considerazioni

  • Per completare la procedura è necessario avere autorizzazioni di modifica per modificare un oggetto Criteri di gruppo. Per impostazione predefinita, i membri dei gruppi di sicurezza Domain Admins, Amministratori dell'organizzazione o Proprietari autori criteri di gruppo hanno autorizzazioni di modifica per modificare un oggetto Criteri di gruppo.

  • L'Editor Criteri di gruppo locali e lo snap-in Gruppo di criteri risultante sono disponibili in Windows Server 2008 R2 e in alcune versioni di Windows 7. Per ulteriori informazioni, visitare il sito Web all'indirizzo http://go.microsoft.com/fwlink/?LinkId=139815.

Ulteriori riferimenti

  • Impostazioni dei criteri di Modelli amministrativi


Utilizzare script di avvio, arresto, accesso e disconnessione

Criteri di gruppo consente di associare uno o più file di script a quattro eventi generati:

  • Avvio del computer

  • Arresto del computer

  • Accesso dell'utente

  • Disconnessione dell'utente

È possibile utilizzare script di Windows PowerShell o script sviluppati in qualsiasi altro linguaggio di scripting supportato dal computer client. Possono inoltre essere utilizzati anche i linguaggi supportati da Windows Script Host (WSH) inclusi VBScript e Jscript.

In questa sezione vengono descritti gli argomenti seguenti:

  • Assegnare script di avvio del computer

  • Assegnare script di arresto del computer

  • Assegnare script di accesso dell'utente

  • Assegnare script di disconnessione dell'utente

Ulteriori considerazioni

  • Per ulteriori informazioni sugli script, visitare l'area dedicata agli script per i Criteri di gruppo all'indirizzo http://go.microsoft.com/fwlink/?LinkID=66013.


Assegnare script di avvio del computer

Per assegnare script di avvio del computer

  1. Aprire l'Editor Criteri di gruppo locali.

  2. Nell'albero della console fare clic su Script (Avvio/Arresto). Il percorso è Configurazione computer\Impostazioni di Windows\Script (Avvio/Arresto).

  3. Nel riquadro risultati fare doppio clic su Avvio.

  4. Nella finestra di dialogo Proprietà di avvio fare clic su Aggiungi.

  5. Nella finestra di dialogo Aggiunta script eseguire le operazioni seguenti:

    • Nella casella Nome script digitare il percorso dello script oppure fare clic su Sfoglia per individuare il file script nella cartella condivisa Netlogon del controller di dominio.

    • Nella casella Parametri script digitare i parametri desiderati, come verrebbero digitati nella riga di comando. Se ad esempio nello script si desidera includere i parametri //logo (visualizzazione intestazione) e //I (modalità interattiva), digitare //logo //I.

  6. Nella finestra di dialogo Proprietà di avvio specificare le opzioni desiderate:

    • Script di avvio per <oggetto Criteri di gruppo>: elenca tutti gli script attualmente assegnati all'oggetto Criteri di gruppo selezionato. Se si assegnano più script, questi verranno elaborati in base all'ordine specificato. Per spostare uno script verso l'alto nell'elenco, selezionarlo e quindi fare clic su Su. Per spostare uno script verso il basso nell'elenco, selezionarlo e quindi fare clic su Giù.

    • Aggiungi: visualizza la finestra di dialogo Aggiunta script in cui è possibile specificare script aggiuntivi da utilizzare.

    • Modifica: visualizza la finestra di dialogo Modifica script in cui è possibile modificare le informazioni sullo script, ad esempio il nome e i parametri.

    • Rimuovi: rimuove lo script selezionato dall'elenco Script di avvio.

    • Visualizza file: visualizza i file script archiviati nell'oggetto Criteri di gruppo selezionato.

Ulteriori considerazioni

  • Per completare la procedura è necessario avere autorizzazioni di modifica per modificare un oggetto Criteri di gruppo. Per impostazione predefinita, i membri dei gruppi di sicurezza Domain Admins, Amministratori dell'organizzazione o Proprietari autori criteri di gruppo hanno autorizzazioni di modifica per modificare un oggetto Criteri di gruppo.

  • Gli script di avvio vengono eseguiti con l'account di sistema locale e dispongono dei diritti completi associati all'esecuzione con tale account.

  • Per impostazione predefinita, a partire da Microsoft Windows Vista gli script di avvio vengono eseguiti in modo asincrono. Questo comportamento è diverso rispetto ai sistemi operativi precedenti.

  • Se si impostano gli script di avvio in modo che vengano eseguiti in modo sincrono, è possibile che si verifichi un rallentamento del processo di avvio.

  • In Windows 7 e Microsoft Windows Vista gli script di avvio eseguiti in modo asincrono non sono visibili. L'attivazione dell'impostazione Rendi visibili gli script di avvio durante l'esecuzione non ha alcun effetto quando gli script di avvio vengono eseguiti in modo asincrono.

  • L'Editor Criteri di gruppo locali e lo snap-in Gruppo di criteri risultante sono disponibili in Windows Server 2008 R2 e in alcune versioni di Windows 7. Per ulteriori informazioni, visitare il sito Web all'indirizzo http://go.microsoft.com/fwlink/?LinkId=139815.

Ulteriori riferimenti

  • Utilizzare script di avvio, arresto, accesso e disconnessione


Assegnare script di arresto del computer

Per assegnare script di arresto del computer

  1. Aprire l'Editor Criteri di gruppo locali.

  2. Nell'albero della console fare clic su Script (Avvio/Arresto). Il percorso è Configurazione computer\Impostazioni di Windows\Script (Avvio/Arresto).

  3. Nel riquadro risultati fare doppio clic su Arresto.

  4. Nella finestra di dialogo Proprietà di arresto del sistema fare clic su Aggiungi.

  5. Nella finestra di dialogo Aggiunta script eseguire le operazioni seguenti:

    • In Nome script digitare il percorso dello script oppure fare clic su Sfoglia per individuare il file script nella cartella condivisa Netlogon del controller di dominio.

    • In Parametri script digitare i parametri desiderati, come verrebbero digitati nella riga di comando. Se ad esempio nello script si desidera includere i parametri //logo (visualizzazione intestazione) e //I (modalità interattiva), digitare //logo //I.

  6. Nella finestra di dialogo Proprietà di arresto del sistema specificare le opzioni desiderate:

    • Script di arresto per <oggetto Criteri di gruppo>: elenca tutti gli script attualmente assegnati all'oggetto Criteri di gruppo selezionato. Se si assegnano più script, questi verranno elaborati in base all'ordine specificato. Per spostare uno script verso l'alto nell'elenco, selezionarlo e quindi fare clic su Su. Per spostare uno script verso il basso nell'elenco, selezionarlo e quindi fare clic su Giù.

    • Aggiungi: visualizza la finestra di dialogo Aggiunta script in cui è possibile specificare script aggiuntivi da utilizzare.

    • Modifica: visualizza la finestra di dialogo Modifica script in cui è possibile modificare le informazioni sullo script, ad esempio il nome e i parametri.

    • Rimuovi: rimuove lo script selezionato dall'elenco Script di arresto.

    • Visualizza file: visualizza i file script archiviati nell'oggetto Criteri di gruppo selezionato.

Ulteriori considerazioni

  • Per completare la procedura è necessario avere autorizzazioni di modifica per modificare un oggetto Criteri di gruppo. Per impostazione predefinita, i membri dei gruppi di sicurezza Domain Admins, Amministratori dell'organizzazione o Proprietari autori criteri di gruppo hanno autorizzazioni di modifica per modificare un oggetto Criteri di gruppo.

  • Gli script di arresto vengono eseguiti con l'account di sistema locale e dispongono dei diritti completi associati all'esecuzione con tale account.

  • Se si impostano gli script di arresto in modo che vengano eseguiti in modalità sincrona, è possibile che si verifichi un rallentamento del processo di arresto.

  • L'Editor Criteri di gruppo locali e lo snap-in Gruppo di criteri risultante sono disponibili in Windows Server 2008 R2 e in alcune versioni di Windows 7. Per ulteriori informazioni, visitare il sito Web all'indirizzo http://go.microsoft.com/fwlink/?LinkId=139815.

Ulteriori riferimenti

  • Utilizzare script di avvio, arresto, accesso e disconnessione


Assegnare script di accesso dell'utente

Per assegnare script di accesso dell'utente

  1. Aprire l'Editor Criteri di gruppo locali.

  2. Nell'albero della console fare clic su Script (Accesso/Fine sessione). Il percorso è Configurazione utente\Impostazioni di Windows\Script (Accesso/Fine sessione).

  3. Nel riquadro risultati fare doppio clic su Accesso.

  4. Nella finestra di dialogo Proprietà di accesso fare clic su Aggiungi.

  5. Nella finestra di dialogo Aggiunta script eseguire le operazioni seguenti:

    • In Nome script digitare il percorso dello script oppure fare clic su Sfoglia per individuare il file script nella cartella condivisa Netlogon del controller di dominio.

    • In Parametri script digitare i parametri desiderati, come verrebbero digitati nella riga di comando. Se ad esempio nello script si desidera includere i parametri //logo (visualizzazione intestazione) e //I (modalità interattiva), digitare //logo //I.

  6. Nella finestra di dialogo Proprietà di accesso specificare le opzioni desiderate:

    • Script di accesso per <oggetto Criteri di gruppo>: elenca tutti gli script attualmente assegnati all'oggetto Criteri di gruppo selezionato. Se si assegnano più script, questi verranno elaborati in base all'ordine specificato. Per spostare uno script verso l'alto nell'elenco, selezionarlo e quindi fare clic su Su. Per spostare uno script verso il basso nell'elenco, selezionarlo e quindi fare clic su Giù.

    • Aggiungi: visualizza la finestra di dialogo Aggiunta script in cui è possibile specificare script aggiuntivi da utilizzare.

    • Modifica: visualizza la finestra di dialogo Modifica script in cui è possibile modificare le informazioni sullo script, ad esempio il nome e i parametri.

    • Rimuovi: rimuove lo script selezionato dall'elenco Script di accesso.

    • Visualizza file: visualizza i file script archiviati nell'oggetto Criteri di gruppo selezionato.

Ulteriori considerazioni

  • Per completare la procedura è necessario avere autorizzazioni di modifica per modificare un oggetto Criteri di gruppo. Per impostazione predefinita, i membri dei gruppi di sicurezza Domain Admins, Amministratori dell'organizzazione o Proprietari autori criteri di gruppo hanno autorizzazioni di modifica per modificare un oggetto Criteri di gruppo.

  • Se si impostano gli script di accesso in modo che vengano eseguiti in modalità sincrona, è possibile che si verifichi un rallentamento del processo di accesso.

  • Gli script di accesso vengono eseguiti con l'account utente, non con l'account amministratore, e i relativi diritti sono soggetti alle limitazioni di tale account.

  • L'Editor Criteri di gruppo locali e lo snap-in Gruppo di criteri risultante sono disponibili in Windows Server 2008 R2 e in alcune versioni di Windows 7. Per ulteriori informazioni, visitare il sito Web all'indirizzo http://go.microsoft.com/fwlink/?LinkId=139815.

Ulteriori riferimenti

  • Utilizzare script di avvio, arresto, accesso e disconnessione


Assegnare script di disconnessione dell'utente

Per assegnare script di disconnessione dell'utente

  1. Aprire l'Editor Criteri di gruppo locali.

  2. Nell'albero della console fare clic su Script (Accesso/Fine sessione). Il percorso è Configurazione utente\Impostazioni di Windows\Script (Accesso/Fine sessione).

  3. Nel riquadro risultati fare doppio clic su Fine sessione.

  4. Nella finestra di dialogo Proprietà di disconnessione fare clic su Aggiungi.

  5. Nella finestra di dialogo Aggiunta script eseguire le operazioni seguenti:

    • In Nome script digitare il percorso dello script oppure fare clic su Sfoglia per individuare il file script nella cartella condivisa Netlogon del controller di dominio.

    • In Parametri script digitare i parametri desiderati, come verrebbero digitati nella riga di comando. Se ad esempio nello script si desidera includere i parametri //logo (visualizzazione intestazione) e //I (modalità interattiva), digitare //logo //I.

  6. Nella finestra di dialogo Proprietà di disconnessione specificare le opzioni desiderate:

    • Script di disconnessione per <oggetto Criteri di gruppo>: elenca tutti gli script attualmente assegnati all'oggetto Criteri di gruppo selezionato. Se si assegnano più script, questi verranno elaborati in base all'ordine specificato. Per spostare uno script verso l'alto nell'elenco, selezionarlo e quindi fare clic su Su. Per spostare uno script verso il basso nell'elenco, selezionarlo e quindi fare clic su Giù.

    • Aggiungi: visualizza la finestra di dialogo Aggiunta script in cui è possibile specificare script aggiuntivi da utilizzare.

    • Modifica: visualizza la finestra di dialogo Modifica script in cui è possibile modificare le informazioni sullo script, ad esempio il nome e i parametri.

    • Rimuovi: rimuove lo script selezionato dall'elenco Script di disconnessione.

    • Visualizza file: visualizza i file script archiviati nell'oggetto Criteri di gruppo selezionato.

Ulteriori considerazioni

  • Per completare la procedura è necessario avere autorizzazioni di modifica per modificare un oggetto Criteri di gruppo. Per impostazione predefinita, i membri dei gruppi di sicurezza Domain Admins, Amministratori dell'organizzazione o Proprietari autori criteri di gruppo hanno autorizzazioni di modifica per modificare un oggetto Criteri di gruppo.

  • Gli script di disconnessione vengono eseguiti con l'account utente, non con l'account amministratore, e i relativi diritti sono soggetti alle limitazioni di tale account.

  • Se si impostano gli script di disconnessione in modo che vengano eseguiti in modalità sincrona, è possibile che si verifichi un rallentamento del processo di disconnessione.

  • L'Editor Criteri di gruppo locali e lo snap-in Gruppo di criteri risultante sono disponibili in Windows Server 2008 R2 e in alcune versioni di Windows 7. Per ulteriori informazioni, visitare il sito Web all'indirizzo http://go.microsoft.com/fwlink/?LinkId=139815.

Ulteriori riferimenti

  • Utilizzare script di avvio, arresto, accesso e disconnessione


Modificare un oggetto Criteri di gruppo locale

Per modificare un oggetto Criteri di gruppo locale

  1. Aprire l'Editor Criteri di gruppo locali.

  2. Nell'albero della console fare doppio clic sulle cartelle per visualizzare le impostazione dei criteri nel riquadro dei dettagli.

  3. Nel riquadro risultati fare doppio clic su un'impostazione dei criteri per visualizzare la finestra di dialogo Proprietà e quindi modificare tale impostazione.

Ulteriori considerazioni

  • Per completare la procedura è necessario avere autorizzazioni di modifica per modificare un oggetto Criteri di gruppo. Per impostazione predefinita, i membri dei gruppi di sicurezza Domain Admins, Amministratori dell'organizzazione o Proprietari autori criteri di gruppo hanno autorizzazioni di modifica per modificare un oggetto Criteri di gruppo.


Modificare più oggetti Criteri di gruppo locali

Gli oggetti Criteri di gruppo locali multipli sono un insieme di oggetti Criteri di gruppo locali che consentono di migliorare la gestione dei computer non appartenenti a un dominio. Questo insieme include gli oggetti Criteri di gruppo locali seguenti:

  • Criteri del computer locale. Questo oggetto Criteri di gruppo locale applica le impostazioni dei criteri per il computer e tutti gli utenti che vi accedono. Corrisponde all'oggetto Criteri di gruppo locale disponibile nelle versioni precedenti di Microsoft Windows.

  • Oggetto Criteri di gruppo locale Amministratori. Questo oggetto Criteri di gruppo locale applica le impostazioni dei criteri per gli utenti appartenenti al gruppo Administrators.

  • Oggetto Criteri di gruppo locale Non amministratori. Questo oggetto Criteri di gruppo locale applica le impostazioni dei criteri per gli utenti non appartenenti al gruppo Administrators.

  • Oggetto Criteri di gruppo locale Specifico dell'utente. Questo oggetto Criteri di gruppo locale applica le impostazioni dei criteri per un utente locale specifico.

Per modificare oggetti Criteri di gruppo locali multipli

  1. Aprire Microsoft Management Console.

  2. Scegliere Aggiungi/Rimuovi snap-in dal menu File.

  3. Fare clic su Editor oggetti Criteri di gruppo nell'elenco Snap-in disponibili e quindi su Aggiungi.

  4. Fare clic sul pulsante Sfoglia nella finestra di dialogo Selezione oggetto Criteri di gruppo.

  5. Fare clic sulla scheda Utenti nella finestra di dialogo Selezione oggetto Criteri di gruppo.

  6. Fare clic sull'utente o sul gruppo per il quale si desidera creare o modificare l'oggetto Criteri di gruppo locale. Fare clic su OK, su Fine e quindi di nuovo su OK.

  7. Configurare le impostazioni dei criteri.

Ulteriori considerazioni

  • Gli oggetti Criteri di gruppo locali multipli non sono disponibili nei controller di dominio.

  • L'oggetto Criteri di gruppo locale viene elaborato nell'ordine seguente (l'ultimo oggetto Criteri di gruppo locale ha precedenza rispetto a tutti gli altri):

    1. Oggetto Criteri di gruppo locale, anche noto come criteri del computer locale.

    2. Oggetto Criteri di gruppo locale Amministratori o Non amministratori.

    3. Oggetto Criteri di gruppo locale Specifico dell'utente.

  • Per ulteriori informazioni sulla gestione di oggetti Criteri di gruppo locali multipli, visitare il sito Web Microsoft all'indirizzo http://go.microsoft.com/fwlink/?LinkID=65999.


Disattivare le impostazioni dell'utente o del computer in un oggetto Criteri di gruppo locale

È possibile occasionalmente disattivare le impostazioni dei criteri piuttosto che eliminare tutti i criteri di gruppo locali.

Per disattivare le impostazioni dei criteri dell'utente o del computer in un oggetto Criteri di gruppo locale

  1. Aprire Microsoft Management Console.

  2. Scegliere Aggiungi/Rimuovi snap-in dal menu File.

  3. Nella casella di riepilogo Snap-in disponibili della finestra di dialogo Aggiungi/Rimuovi snap-in fare clic su Editor oggetti Criteri di gruppo e quindi su Aggiungi.

  4. Nella finestra di dialogo Selezione oggetto Criteri di gruppo fare clic su Sfoglia.

  5. Per specificare i criteri del computer locale, fare clic su OK e quindi su Fine. Proseguire con il passaggio 7.

  6. Per specificare criteri del computer locale per utenti o gruppi, fare clic sulla scheda Utenti e selezionare uno degli oggetti Criteri di gruppo locali seguenti:

    • Administrators: oggetto Criteri di gruppo locale predefinito applicabile agli utenti appartenenti al gruppo Administrators.

    • Utenti non amministratori: oggetto Criteri di gruppo locale predefinito applicabile agli utenti non appartenenti al gruppo Administrators.

    • Specifico dell'utente: oggetti Criteri di gruppo locali associati a un account utente locale specifico.

  7. Fare clic con il pulsante destro del mouse sul nome dell'oggetto Criteri di gruppo locali e quindi fare clic su Proprietà.

  8. Fare clic su Disattiva impostazioni configurazione computer o Disattiva impostazioni configurazione utente.

  9. Fare clic su OK e quindi chiudere Microsoft Management Console.

Ulteriori considerazioni

  • I criteri del computer locale consentono di disattivare entrambe le configurazioni del computer e dell'utente. Gli oggetti Criteri di gruppo locali Amministratori, Non amministratori e Specifico dell'utente consentono di disattivare solo la configurazione dell'utente.


Eliminare più oggetti Criteri di gruppo locali

È possibile eliminare oggetti Criteri di gruppo locali multipli. Utilizzare questa procedura per eliminare oggetti Criteri di gruppo locali Amministratori, Non amministratori o Specifico dell'utente.

Per eliminare oggetti Criteri di gruppo locali multipli

  1. Aprire Microsoft Management Console.

  2. Scegliere Aggiungi/Rimuovi snap-in dal menu File.

  3. Fare clic su Editor oggetti Criteri di gruppo nell'elenco Snap-in disponibili e quindi su Aggiungi.

  4. Nella finestra di dialogo Selezione oggetto Criteri di gruppo fare clic su Sfoglia. Fare clic sulla scheda Utenti.

  5. Fare clic con il pulsante destro del mouse sull'oggetto Criteri di gruppo locale Amministratori, Non amministratori o Specifico dell'utente. Scegliere Rimuovi oggetto Criteri di gruppo.

  6. Fare clic su Sì per confermare l'eliminazione dell'oggetto Criteri di gruppo locale.

  7. Chiudere Microsoft Management Console.
Nota

Nella colonna Oggetto Criteri di gruppo esistente verrà visualizzato il testo No accanto all'elemento selezionato nel passaggio 4.

Ulteriori considerazioni

  • Gli oggetti Criteri di gruppo locali multipli non sono disponibili nei controller di dominio.

  • Non è possibile eliminare l'oggetto Criteri di gruppo locale, anche noto come criteri del computer locale.

  • Per ulteriori informazioni sulla gestione di oggetti Criteri di gruppo locali multipli, visitare il sito Web Microsoft all'indirizzo http://go.microsoft.com/fwlink/?LinkID=4291.


Risorse per Criteri di gruppo

In questa sezione sono inclusi i collegamenti a ulteriori informazioni sui Criteri di gruppo e le tecnologie correlate.

  • Per accedere al TechCenter di Criteri di gruppo, visitare il sito Web all'indirizzo http://go.microsoft.com/fwlink/?linkid=66015. Questo sito Web rappresenta un punto di ingresso alla documentazione su Criteri di gruppo, incluse informazioni sulla distribuzione, le operazioni, la formazione, il supporto e le community.

  • Per visualizzare le informazioni di riferimento sulle impostazioni di Criteri di gruppo, visitare il sito Web all'indirizzo http://go.microsoft.com/fwlink/?LinkId=131389. In questo documento vengono elencate le impostazioni di Criteri di gruppo descritte nei file dei modelli amministrativi, con estensione admx o adml, e le impostazioni di sicurezza, incluse tutte le impostazioni dei criteri dei modelli amministrativi per Windows Server® 2008 R2 e Windows® 7.

  • Per script di esempio di Console Gestione Criteri di gruppo, visitare il sito Web all'indirizzo http://go.microsoft.com/fwlink/?LinkId=65841. In questo insieme di script di esempio viene illustrato come utilizzare queste interfacce per affrontare una serie di problemi e scenari amministrativi reali. Gli scenari sono disponibili come pacchetto scaricabile.